solarOSsolarOS Docs

Inspect the presented organization API key context

Returns the tenant, key prefix/name, granted scopes, rate-limit policy, IP allowlist state, rotation grace state, attribution metadata, and default owners for the API key used on the request. This endpoint requires a valid organization API key but no additional scope.

GET
/whoami

Returns the tenant, key prefix/name, granted scopes, rate-limit policy, IP allowlist state, rotation grace state, attribution metadata, and default owners for the API key used on the request. This endpoint requires a valid organization API key but no additional scope.

Authorization

Authorization<token>

Organization API key. Format: Bearer sk_live_...

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/whoami"
{  "data": {},  "meta": {    "requestId": "string",    "version": "v1",    "timestamp": "2019-08-24T14:15:22Z",    "rateLimit": {      "limit": 0,      "remaining": 0,      "reset": 0    }  }}